//
// Created by sasha on 01.12.2025.
//

#ifndef RU_DANSOFT_PUZZLE15_RECORD_STORE_H
#define RU_DANSOFT_PUZZLE15_RECORD_STORE_H

#include <string>
#include <vector>

struct RECORD {
    int turn;
    int time;
};

class RecordStore {
    public:
        RecordStore();
        void save(const std::string &type,int turn, int time);
        std::vector<RECORD> load(const std::string &type);

        bool isRecord(const std::string &type,int turn, int time);

    private:
        std::vector<std::string> parseString(const std::string& str, char delimiter);

};


#endif //RU_DANSOFT_PUZZLE15_RECORD_STORE_H
